Public Class GOES_CompTecnicaBusinessObject
    Inherits BusinessObject(Of GOES_CompTecnica)

#Region "Contructores"
    Public Sub New()
        MyBase.New()
        DbHelper = New GOES_CompTecnicaDbHelper
    End Sub

    Public Sub New(ByVal entity As GOES_CompTecnica)
        MyBase.New(entity)
        DbHelper = New GOES_CompTecnicaDbHelper
    End Sub

    Public Sub New(ByVal idPlaza As Int32, ByVal idCorrelativo As Int32, Optional ByVal foreignLevel As Integer=0)
        Me.New()
        _Entity.idPlaza = idPlaza
        _Entity.idCorrelativo = idCorrelativo
        Dim Entity_Aux As GOES_CompTecnica = DbHelper.SelectEntity(_Entity,foreignLevel)
        If Not Entity_Aux Is Nothing Then
            _IsNew = False
            _Entity = Entity_Aux
        End If
    End Sub
#End Region

#Region "Metodos Estaticos"
    Protected Shared _Instance As GOES_CompTecnicaBusinessObject
    Protected Shared Function GetDdHelperInstance() As GOES_CompTecnicaDbHelper
        If _Instance Is Nothing Then
            _Instance = New GOES_CompTecnicaBusinessObject
        End If
    Return CType(_Instance.DbHelper, GOES_CompTecnicaDbHelper)
    End Function

    Public Shared Function GetListGOES_CompTecnica(Optional ByVal foreignLevel As Integer=0) As EntityList(Of GOES_CompTecnica)
        Return GetDdHelperInstance.SelectList(foreignLevel)
    End Function

    Public Shared Function GetListGOES_CompTecnicaByPlaza(ByVal idPlaza as Int32, Optional ByVal foreignLevel As Integer=0) As EntityList(Of GOES_CompTecnica)
        Return GetDdHelperInstance.GetListGOES_CompTecnicaByPlaza(idPlaza, foreignLevel)
    End Function

#End Region
End Class
